<div class="authentication-wrapper authentication-2 ui-bg-cover ui-bg-overlay-container px-4 resetPass" style="background-image: url('assets/imgs/hx_bg.svg');">
  <div class="ui-bg-overlay bg-dark opacity-25"></div>

  <div class="authentication-inner py-5" *ngIf="isAlive">

    <div class="card">
        <div class="p-4 p-sm-5" style="padding: 40px !important;">

            <!-- Logo -->
            <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
              <div >
                <div class="w-100 position-relative" style="padding-bottom: 0%">
                  <img src="assets/img/logo.svg" class="login-logo" />
              <!-- <svg class="w-100 h-100 position-absolute" viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path class="fill-primary" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg> -->
            </div>
          </div>
        </div>
        <!-- / Logo -->
        <h5 class="text-center text-primary font-weight-normal mb-4 WSF">Reset Your Password</h5>

        <!--  <h5 class="text-center text-muted font-weight-normal mb-4">Login to Your Account</h5> -->

        <!-- Form -->
        <form>
          <div class="form-group">
            <label class="form-label WSF">Password</label>
            <input [(ngModel)]="credentials.new_password" name="new_password" type="password" class="form-control">
          </div>
          <div class="form-group">
            <label class="form-label WSF">Confirm Password</label>
            <input [(ngModel)]="confirm_password" name="confirm_password" type="password" class="form-control">
          </div>
          <div class="f-12 mt-4 mb-4 WSF" style="line-height: 17px;">Note: Password must contain at least 8 character long, with a minimum of one lower case letter, one upper case letter, one numeric character and one special character from !@#$%^&*()_</div>
          <div class="d-flex justify-content-between align-items-center m-0">
            <button [ladda]="isLoading" data-style="zoom-in" type="button" class="btn btn-block" (click)="resetPassword()" [disabled]="credentials.new_password=='' || confirm_password==''">Reset</button>
          </div>
        </form>
        <!-- / Form -->

      </div>
      <!-- <div class="card-footer py-3 px-4 px-sm-5">
        <div class="text-center text-muted">
          <a href="javascript:void(0)" (click)="configClicked()">config</a>
        </div>
      </div> -->
    </div>
    <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
  </div>
  <!-- Server Configuration For UI-->
  <!-- <div style="position: absolute;right:20px;bottom:20px;z-index:1000;font-size:25px;"> <a href="javascript:void(0)" style="color:#fff" (click)="configClicked()"><i class="ion ion-md-settings"></i></a></div> -->
  <div class="col-md-4 py-5" *ngIf="!isAlive">
      <div class="card">
        <div class="p-4 px-sm-4 pt-sm-4">
          <!-- Logo -->
          <div class="d-flex justify-content-center align-items-center pb-2 mb-3 mt-2">
            <div >
              <div class="w-100 position-relative">
                <!-- <svg class="w-100 h-100 position-absolute" viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path class="fill-primary" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg> -->
                <img src="assets/img/logo.svg" class="login-logo" height="60" />
              </div>
            </div>
          </div>
          <h5 class="text-center font-weight-normal mb-4 WSF px-2" style="color: #555; line-height: 22px;">This link is expired kindly contact your web admin or go to login</h5>
        </div>
        <div class="card-footer text-center"><a href="javascript:void(0)" class="d-block f-14" style="color: #fff;" (click)="navigateToLogin()">Login</a></div>
      </div>
    </div>
</div>